"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FernConfigurationSchema = void 0;
const zod_1 = require("zod");
const ErrorDeclarationSchema_1 = require("./ErrorDeclarationSchema");
const IdSchema_1 = require("./IdSchema");
const ServicesSchema_1 = require("./ServicesSchema");
const TypeDeclarationSchema_1 = require("./TypeDeclarationSchema");
exports.FernConfigurationSchema = zod_1.z.strictObject({
    imports: zod_1.z.optional(zod_1.z.record(zod_1.z.string())),
    ids: zod_1.z.optional(zod_1.z.array(IdSchema_1.IdSchema)),
    types: zod_1.z.optional(zod_1.z.record(TypeDeclarationSchema_1.TypeDeclarationSchema)),
    services: zod_1.z.optional(ServicesSchema_1.ServicesSchema),
    errors: zod_1.z.optional(zod_1.z.record(zod_1.z.union([zod_1.z.string(), ErrorDeclarationSchema_1.ErrorDeclarationSchema]))),
});
