"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpEndpointSchema = void 0;
const zod_1 = require("zod");
const AuthSchema_1 = require("./AuthSchema");
const HttpHeaderSchema_1 = require("./HttpHeaderSchema");
const HttpParameterSchema_1 = require("./HttpParameterSchema");
const HttpQueryParameterSchema_1 = require("./HttpQueryParameterSchema");
const HttpRequestSchema_1 = require("./HttpRequestSchema");
const HttpResponseSchema_1 = require("./HttpResponseSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.HttpEndpointSchema = WithDocsSchema_1.WithDocsSchema.extend({
    method: zod_1.z.optional(zod_1.z.enum(["GET", "POST", "PUT", "PATCH", "DELETE"])),
    path: zod_1.z.optional(zod_1.z.string()),
    ["path-parameters"]: zod_1.z.optional(zod_1.z.record(HttpParameterSchema_1.HttpParameterSchema)),
    ["query-parameters"]: zod_1.z.optional(zod_1.z.record(HttpQueryParameterSchema_1.HttpQueryParameterSchema)),
    headers: zod_1.z.optional(zod_1.z.record(HttpHeaderSchema_1.HttpHeaderSchema)),
    "auth-override": zod_1.z.optional(AuthSchema_1.AuthSchema),
    request: zod_1.z.optional(HttpRequestSchema_1.HttpRequestSchema),
    response: zod_1.z.optional(HttpResponseSchema_1.HttpResponseSchema),
});
