"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeReferenceWithDocsSchema = exports.TypeReferenceSchema = exports.extendTypeReferenceSchema = void 0;
const zod_1 = require("zod");
const WithDocsSchema_1 = require("./WithDocsSchema");
// This return type is too crazy to write explicitly!
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function extendTypeReferenceSchema(extension) {
    return zod_1.z.union([
        zod_1.z.string(),
        zod_1.z
            .strictObject({
            type: zod_1.z.optional(zod_1.z.string()),
        })
            .extend(extension),
    ]);
}
exports.extendTypeReferenceSchema = extendTypeReferenceSchema;
exports.TypeReferenceSchema = extendTypeReferenceSchema({});
exports.TypeReferenceWithDocsSchema = extendTypeReferenceSchema(WithDocsSchema_1.WithDocsSchema.shape);
