"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxAnalysisStage = void 0;
const parse_1 = require("./parse");
const validate_1 = require("./validate");
exports.SyntaxAnalysisStage = {
    run: async (files) => {
        const parseResult = await (0, parse_1.parse)(files);
        if (!parseResult.didSucceed) {
            return {
                didSucceed: false,
                failures: parseResult.failures,
            };
        }
        const validationResult = (0, validate_1.validate)(parseResult.files);
        if (!validationResult.didSucceed) {
            return {
                didSucceed: false,
                failures: validationResult.failures,
            };
        }
        return {
            didSucceed: true,
            result: validationResult,
        };
    },
};
