"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Task = void 0;
class Task {
    _didSucceed = true;
    run(runner) {
        if (typeof runner !== "function") {
            return runner.catch(() => this.handleError());
        }
        try {
            const result = runner();
            if (isPromise(result)) {
                return result.catch(() => this.handleError());
            }
        }
        catch (e) {
            this.handleError();
        }
    }
    get didSucceed() {
        return this._didSucceed;
    }
    handleError() {
        this._didSucceed = false;
    }
}
exports.Task = Task;
function isPromise(maybePromise) {
    return typeof maybePromise?.then === "function";
}
