import { FernFile, RelativeFilePath } from "@fern-api/compiler-commons";
import { SyntaxAnalysis } from "./types";
export declare type ParsedFileContents = unknown;
export declare namespace Parser {
    type Result = SuccessfulResult | FailedResult;
    interface SuccessfulResult {
        didSucceed: true;
        files: Record<RelativeFilePath, ParsedFileContents>;
    }
    interface FailedResult {
        didSucceed: false;
        failures: Record<RelativeFilePath, SyntaxAnalysis.FileParseFailure>;
    }
}
export declare function parse(files: readonly FernFile[]): Promise<Parser.Result>;
