import { parseYamlFiles } from "./parseYamlFiles";
import { validateStructureOfYamlFiles } from "./validateStructureOfYamlFiles";
export async function parseWorkspaceDefinition({ files, workspaceName, }) {
    const parseResult = await parseYamlFiles(files);
    if (!parseResult.didSucceed) {
        return parseResult;
    }
    const structuralValidationResult = validateStructureOfYamlFiles(parseResult.files);
    if (!structuralValidationResult.didSucceed) {
        return structuralValidationResult;
    }
    return {
        didSucceed: true,
        workspace: {
            name: workspaceName,
            files: structuralValidationResult.validatedFiles,
        },
    };
}
