import { z } from "zod";
export declare const FernConfigurationSchema: z.ZodObject<{
    imports: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    ids: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        name: z.ZodString;
        type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"uuid">]>>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        type?: "string" | "uuid" | undefined;
        name: string;
    }, {
        docs?: string | undefined;
        type?: "string" | "uuid" | undefined;
        name: string;
    }>]>, "many">>;
    types: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            type: z.ZodOptional<z.ZodString>;
        }, {
            docs: z.ZodOptional<z.ZodString>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            type?: string | undefined;
        }, {
            docs?: string | undefined;
            type?: string | undefined;
        }>]>>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }, {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            type: z.ZodOptional<z.ZodString>;
        }, {
            docs: z.ZodOptional<z.ZodString>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            type?: string | undefined;
        }, {
            docs?: string | undefined;
            type?: string | undefined;
        }>]>>;
        discriminant: z.ZodOptional<z.ZodString>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }, {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        alias: z.ZodString;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        alias: string;
    }, {
        docs?: string | undefined;
        alias: string;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            name: z.ZodOptional<z.ZodString>;
            value: z.ZodString;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        }, {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        }>]>, "many">;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    }, {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    }>]>>>;
    services: z.ZodOptional<z.ZodObject<{
        http: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            auth: z.ZodEnum<["bearer", "none"]>;
        }>, {
            "base-path": z.ZodOptional<z.ZodString>;
            headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                type: z.ZodOptional<z.ZodString>;
            }, {
                docs: z.ZodOptional<z.ZodString>;
            }>, "strict", z.ZodTypeAny, {
                docs?: string | undefined;
                type?: string | undefined;
            }, {
                docs?: string | undefined;
                type?: string | undefined;
            }>]>>>;
            endpoints: z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<{
                docs: z.ZodOptional<z.ZodString>;
            }, {
                method: z.ZodOptional<z.ZodEnum<["GET", "POST", "PUT", "PATCH", "DELETE"]>>;
                path: z.ZodOptional<z.ZodString>;
                "path-parameters": z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                    type: z.ZodOptional<z.ZodString>;
                }, {
                    docs: z.ZodOptional<z.ZodString>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }>]>>>;
                "query-parameters": z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                    type: z.ZodOptional<z.ZodString>;
                }, {
                    docs: z.ZodOptional<z.ZodString>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }>]>>>;
                headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                    type: z.ZodOptional<z.ZodString>;
                }, {
                    docs: z.ZodOptional<z.ZodString>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }, {
                    docs?: string | undefined;
                    type?: string | undefined;
                }>]>>>;
                "auth-override": z.ZodOptional<z.ZodEnum<["bearer", "none"]>>;
                request: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                    docs: z.ZodOptional<z.ZodString>;
                }, {
                    encoding: z.ZodOptional<z.ZodString>;
                    type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                        properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            type: z.ZodOptional<z.ZodString>;
                        }, {
                            docs: z.ZodOptional<z.ZodString>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }, {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>]>>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    }, {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    }>, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            type: z.ZodOptional<z.ZodString>;
                        }, {
                            docs: z.ZodOptional<z.ZodString>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }, {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>]>>;
                        discriminant: z.ZodOptional<z.ZodString>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    }, {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    }>, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        alias: z.ZodString;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        alias: string;
                    }, {
                        docs?: string | undefined;
                        alias: string;
                    }>, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            name: z.ZodOptional<z.ZodString>;
                            value: z.ZodString;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        }, {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        }>]>, "many">;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    }, {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    }>]>>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                }, {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                }>]>>;
                response: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                    docs: z.ZodOptional<z.ZodString>;
                }, {
                    encoding: z.ZodOptional<z.ZodString>;
                    ok: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                            properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                            discriminant: z.ZodOptional<z.ZodString>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            alias: z.ZodString;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            alias: string;
                        }, {
                            docs?: string | undefined;
                            alias: string;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                name: z.ZodOptional<z.ZodString>;
                                value: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }>]>, "many">;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }>]>>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    }, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    }>]>>;
                    failed: z.ZodOptional<z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        errors: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            error: z.ZodString;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            error: string;
                        }, {
                            docs?: string | undefined;
                            error: string;
                        }>]>, "many">>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    }, {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    }>>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                }, {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                }>]>>;
            }>, "strict", z.ZodTypeAny, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }>>>;
        websocket: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            auth: z.ZodEnum<["bearer", "none"]>;
        }>, {
            path: z.ZodString;
            client: z.ZodOptional<z.ZodObject<{
                operations: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<{
                    docs: z.ZodOptional<z.ZodString>;
                }, {
                    request: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                            properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                            discriminant: z.ZodOptional<z.ZodString>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            alias: z.ZodString;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            alias: string;
                        }, {
                            docs?: string | undefined;
                            alias: string;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                name: z.ZodOptional<z.ZodString>;
                                value: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }>]>, "many">;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }>]>>;
                        encoding: z.ZodOptional<z.ZodString>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    }, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    }>]>>;
                    response: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        encoding: z.ZodOptional<z.ZodString>;
                        ok: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                                properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    type: z.ZodOptional<z.ZodString>;
                                }, {
                                    docs: z.ZodOptional<z.ZodString>;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>]>>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }, {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    type: z.ZodOptional<z.ZodString>;
                                }, {
                                    docs: z.ZodOptional<z.ZodString>;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>]>>;
                                discriminant: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }, {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                alias: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                alias: string;
                            }, {
                                docs?: string | undefined;
                                alias: string;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    docs: z.ZodOptional<z.ZodString>;
                                }, {
                                    name: z.ZodOptional<z.ZodString>;
                                    value: z.ZodString;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                }, {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                }>]>, "many">;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            }, {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            }>]>>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        }, {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        }>]>>;
                        failed: z.ZodOptional<z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            errors: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                error: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                error: string;
                            }, {
                                docs?: string | undefined;
                                error: string;
                            }>]>, "many">>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        }, {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        }>>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    }, {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    }>]>>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }>>>;
            }, "strict", z.ZodTypeAny, {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            }, {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            }>>;
            server: z.ZodOptional<z.ZodObject<{
                operations: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<{
                    docs: z.ZodOptional<z.ZodString>;
                }, {
                    request: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                            properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                type: z.ZodOptional<z.ZodString>;
                            }, {
                                docs: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }, {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>]>>;
                            discriminant: z.ZodOptional<z.ZodString>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }, {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            alias: z.ZodString;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            alias: string;
                        }, {
                            docs?: string | undefined;
                            alias: string;
                        }>, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                name: z.ZodOptional<z.ZodString>;
                                value: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }, {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            }>]>, "many">;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }, {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        }>]>>;
                        encoding: z.ZodOptional<z.ZodString>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    }, {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    }>]>>;
                    response: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                        docs: z.ZodOptional<z.ZodString>;
                    }, {
                        encoding: z.ZodOptional<z.ZodString>;
                        ok: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
                                properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    type: z.ZodOptional<z.ZodString>;
                                }, {
                                    docs: z.ZodOptional<z.ZodString>;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>]>>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }, {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    type: z.ZodOptional<z.ZodString>;
                                }, {
                                    docs: z.ZodOptional<z.ZodString>;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }, {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>]>>;
                                discriminant: z.ZodOptional<z.ZodString>;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }, {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                alias: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                alias: string;
                            }, {
                                docs?: string | undefined;
                                alias: string;
                            }>, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                    docs: z.ZodOptional<z.ZodString>;
                                }, {
                                    name: z.ZodOptional<z.ZodString>;
                                    value: z.ZodString;
                                }>, "strict", z.ZodTypeAny, {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                }, {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                }>]>, "many">;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            }, {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            }>]>>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        }, {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        }>]>>;
                        failed: z.ZodOptional<z.ZodObject<z.extendShape<{
                            docs: z.ZodOptional<z.ZodString>;
                        }, {
                            errors: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                                docs: z.ZodOptional<z.ZodString>;
                            }, {
                                error: z.ZodString;
                            }>, "strict", z.ZodTypeAny, {
                                docs?: string | undefined;
                                error: string;
                            }, {
                                docs?: string | undefined;
                                error: string;
                            }>]>, "many">>;
                        }>, "strict", z.ZodTypeAny, {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        }, {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        }>>;
                    }>, "strict", z.ZodTypeAny, {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    }, {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    }>]>>;
                }>, "strict", z.ZodTypeAny, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }>>>;
            }, "strict", z.ZodTypeAny, {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            }, {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            }>>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }>>>;
    }, "strict", z.ZodTypeAny, {
        http?: Record<string, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }> | undefined;
        websocket?: Record<string, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }> | undefined;
    }, {
        http?: Record<string, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }> | undefined;
        websocket?: Record<string, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }> | undefined;
    }>>;
    errors: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        http: z.ZodOptional<z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            statusCode: z.ZodNumber;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            statusCode: number;
        }, {
            docs?: string | undefined;
            statusCode: number;
        }>>;
        type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                type: z.ZodOptional<z.ZodString>;
            }, {
                docs: z.ZodOptional<z.ZodString>;
            }>, "strict", z.ZodTypeAny, {
                docs?: string | undefined;
                type?: string | undefined;
            }, {
                docs?: string | undefined;
                type?: string | undefined;
            }>]>>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        }, {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        }>, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                type: z.ZodOptional<z.ZodString>;
            }, {
                docs: z.ZodOptional<z.ZodString>;
            }>, "strict", z.ZodTypeAny, {
                docs?: string | undefined;
                type?: string | undefined;
            }, {
                docs?: string | undefined;
                type?: string | undefined;
            }>]>>;
            discriminant: z.ZodOptional<z.ZodString>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        }, {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        }>, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            alias: z.ZodString;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            alias: string;
        }, {
            docs?: string | undefined;
            alias: string;
        }>, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
                docs: z.ZodOptional<z.ZodString>;
            }, {
                name: z.ZodOptional<z.ZodString>;
                value: z.ZodString;
            }>, "strict", z.ZodTypeAny, {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            }, {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            }>]>, "many">;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        }, {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        }>]>>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        type?: string | {
            docs?: string | undefined;
            alias: string;
        } | {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        } | {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | undefined;
        http?: {
            docs?: string | undefined;
            statusCode: number;
        } | undefined;
    }, {
        docs?: string | undefined;
        type?: string | {
            docs?: string | undefined;
            alias: string;
        } | {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        } | {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | undefined;
        http?: {
            docs?: string | undefined;
            statusCode: number;
        } | undefined;
    }>]>>>;
}, "strict", z.ZodTypeAny, {
    errors?: Record<string, string | {
        docs?: string | undefined;
        type?: string | {
            docs?: string | undefined;
            alias: string;
        } | {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        } | {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | undefined;
        http?: {
            docs?: string | undefined;
            statusCode: number;
        } | undefined;
    }> | undefined;
    imports?: Record<string, string> | undefined;
    ids?: (string | {
        docs?: string | undefined;
        type?: "string" | "uuid" | undefined;
        name: string;
    })[] | undefined;
    types?: Record<string, string | {
        docs?: string | undefined;
        alias: string;
    } | {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    } | {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }> | undefined;
    services?: {
        http?: Record<string, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }> | undefined;
        websocket?: Record<string, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }> | undefined;
    } | undefined;
}, {
    errors?: Record<string, string | {
        docs?: string | undefined;
        type?: string | {
            docs?: string | undefined;
            alias: string;
        } | {
            docs?: string | undefined;
            enum: (string | {
                docs?: string | undefined;
                name?: string | undefined;
                value: string;
            })[];
        } | {
            docs?: string | undefined;
            extends?: string | string[] | undefined;
            properties: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | {
            docs?: string | undefined;
            discriminant?: string | undefined;
            union: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }>;
        } | undefined;
        http?: {
            docs?: string | undefined;
            statusCode: number;
        } | undefined;
    }> | undefined;
    imports?: Record<string, string> | undefined;
    ids?: (string | {
        docs?: string | undefined;
        type?: "string" | "uuid" | undefined;
        name: string;
    })[] | undefined;
    types?: Record<string, string | {
        docs?: string | undefined;
        alias: string;
    } | {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    } | {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }> | undefined;
    services?: {
        http?: Record<string, {
            docs?: string | undefined;
            headers?: Record<string, string | {
                docs?: string | undefined;
                type?: string | undefined;
            }> | undefined;
            "base-path"?: string | undefined;
            auth: "bearer" | "none";
            endpoints: Record<string, {
                docs?: string | undefined;
                path?: string | undefined;
                "path-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "query-parameters"?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | undefined;
                headers?: Record<string, string | {
                    docs?: string | undefined;
                    type?: string | undefined;
                }> | undefined;
                "auth-override"?: "bearer" | "none" | undefined;
                request?: string | {
                    docs?: string | undefined;
                    type?: string | {
                        docs?: string | undefined;
                        alias: string;
                    } | {
                        docs?: string | undefined;
                        enum: (string | {
                            docs?: string | undefined;
                            name?: string | undefined;
                            value: string;
                        })[];
                    } | {
                        docs?: string | undefined;
                        extends?: string | string[] | undefined;
                        properties: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | {
                        docs?: string | undefined;
                        discriminant?: string | undefined;
                        union: Record<string, string | {
                            docs?: string | undefined;
                            type?: string | undefined;
                        }>;
                    } | undefined;
                    encoding?: string | undefined;
                } | undefined;
                response?: string | {
                    docs?: string | undefined;
                    encoding?: string | undefined;
                    ok?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                    } | undefined;
                    failed?: {
                        docs?: string | undefined;
                        errors?: (string | {
                            docs?: string | undefined;
                            error: string;
                        })[] | undefined;
                    } | undefined;
                } | undefined;
            }>;
        }> | undefined;
        websocket?: Record<string, {
            docs?: string | undefined;
            client?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            server?: {
                operations?: Record<string, {
                    docs?: string | undefined;
                    request?: string | {
                        docs?: string | undefined;
                        type?: string | {
                            docs?: string | undefined;
                            alias: string;
                        } | {
                            docs?: string | undefined;
                            enum: (string | {
                                docs?: string | undefined;
                                name?: string | undefined;
                                value: string;
                            })[];
                        } | {
                            docs?: string | undefined;
                            extends?: string | string[] | undefined;
                            properties: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | {
                            docs?: string | undefined;
                            discriminant?: string | undefined;
                            union: Record<string, string | {
                                docs?: string | undefined;
                                type?: string | undefined;
                            }>;
                        } | undefined;
                        encoding?: string | undefined;
                    } | undefined;
                    response?: string | {
                        docs?: string | undefined;
                        encoding?: string | undefined;
                        ok?: string | {
                            docs?: string | undefined;
                            type?: string | {
                                docs?: string | undefined;
                                alias: string;
                            } | {
                                docs?: string | undefined;
                                enum: (string | {
                                    docs?: string | undefined;
                                    name?: string | undefined;
                                    value: string;
                                })[];
                            } | {
                                docs?: string | undefined;
                                extends?: string | string[] | undefined;
                                properties: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | {
                                docs?: string | undefined;
                                discriminant?: string | undefined;
                                union: Record<string, string | {
                                    docs?: string | undefined;
                                    type?: string | undefined;
                                }>;
                            } | undefined;
                        } | undefined;
                        failed?: {
                            docs?: string | undefined;
                            errors?: (string | {
                                docs?: string | undefined;
                                error: string;
                            })[] | undefined;
                        } | undefined;
                    } | undefined;
                }> | undefined;
            } | undefined;
            path: string;
            auth: "bearer" | "none";
        }> | undefined;
    } | undefined;
}>;
export declare type FernConfigurationSchema = z.infer<typeof FernConfigurationSchema>;
