export declare class Task {
    private _didSucceed;
    run(runner: Promise<void>): void;
    run(runner: () => void): void;
    run(runner: () => Promise<void>): Promise<void>;
    get didSucceed(): boolean;
    private handleError;
}
export declare type TaskResult<R> = SuccessfulTask<R> | FailedTask;
export interface SuccessfulTask<R> {
    isSuccess: true;
    result: R;
}
export interface FailedTask {
    isSuccess: false;
    errors: TaskError[];
}
export interface TaskError {
    title: string;
    additionalInfo?: string;
}
