import { RelativeFilePath } from "@fern-api/compiler-commons";
import { ZodError } from "zod";
import { FernConfigurationSchema } from "./schemas";
export declare namespace SyntaxAnalysis {
    interface SuccessfulResult {
        validatedFiles: Record<RelativeFilePath, FernConfigurationSchema>;
    }
    interface FailedResult {
        failures: Record<RelativeFilePath, Failure>;
    }
    type Failure = FileReadFilure | FileParseFailure | StructureValidationFailure;
    interface FileReadFilure {
        type: SyntaxAnalysisFailureType.FILE_READ;
        error: unknown;
    }
    interface FileParseFailure {
        type: SyntaxAnalysisFailureType.FILE_PARSE;
        error: unknown;
    }
    interface StructureValidationFailure {
        type: SyntaxAnalysisFailureType.STRUCTURE_VALIDATION;
        error: ZodError<FernConfigurationSchema>;
    }
}
export declare enum SyntaxAnalysisFailureType {
    FILE_READ = "FILE_READ",
    FILE_PARSE = "FILE_PARSE",
    STRUCTURE_VALIDATION = "STRUCTURE_VALIDATION"
}
