import { RelativeFilePath } from "@fern-api/compiler-commons";
import { FernConfigurationSchema } from "./schemas/FernConfigurationSchema";
import { SyntaxAnalysis } from "./types";
export declare namespace Validator {
    type Result = SuccessfulResult | FailedResult;
    interface SuccessfulResult {
        didSucceed: true;
        validatedFiles: Record<RelativeFilePath, FernConfigurationSchema>;
    }
    interface FailedResult {
        didSucceed: false;
        failures: Record<RelativeFilePath, SyntaxAnalysis.StructureValidationFailure>;
    }
}
export declare function validate(files: Record<RelativeFilePath, unknown>): Validator.Result;
